API Reference
List promotions
Returns a brand's promotions and ad campaigns seen across delivery sources as one timeline, newest first. Filter by type (discount or campaign) or a date window.
GET
/brands/{brandSlug}/promotionsAuthorizationBearer <token>
In: header
Path Parameters
brandSlugstring
Query Parameters
countryCodestring
Value in
"ae" | "sa" | "kw" | "qa" | "bh" | "eg" | "jo" | "om" | "ma" | "kz" | "iq"type?string
Value in
"discount" | "campaign" | "all"from?string
Format
date-timeto?string
Format
date-timerestaurantId?string
limit?integer
Range
1 <= valuecursor?string
Response Body
curl -X GET "https://loading/v1/brands/string/promotions?countryCode=ae&type=discount&from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&restaurantId=string&limit=1&cursor=string"{
"data": [
{
"type": "discount",
"eventDate": "string",
"title": "string",
"isLive": true,
"daysLive": 0,
"launchDate": "string",
"deactivationDate": "string",
"channels": [
"string"
],
"prevalenceRatio": 0,
"ctaUrl": "string",
"details": "string"
}
],
"pageInfo": {
"nextCursor": "string",
"hasMore": true
}
}Empty
Empty
Empty
Empty
Empty